Subject: LRO: Re: Stray 88"

From: "Todd Kendrick" <[email-masked]>
Date: Tue, 29 May 2001 19:06:35 -0600

Did it have a Taos county tag ? Sounds like a guy named Frank. He pulled me over on the road here one day to chat. I will give the guy credit he has driven the old '60 Series II 88" all over the country; I know he has been to Florida and back several times. It was redone mechanically before he purchased  and was in decent shape. Saw him again last year when he was passing thru town. Stay far far away unless you want company for a few days; you could probably find him at the local bar ! I don't know about  the Ferrari head though ??

Todd Kendrick
Taos, NM
'66 109" P/U

>Does anyone who belongs to a tan SIMI 88" with a front tow bar and Ferrarri
>conversion (head in the back) that's sitting at an auto repair facility in
>Fallon, NV?  It has New Mexico plates and though it seems a bit rough looks
>complete and has a great frame.

>Thanks - Steve Rochna, Fallon, NV.
>1972 SIII 88"
>1968 SIIB 110" FC